"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.useHeaders = useHeaders;
exports.usePreviewData = usePreviewData;
exports.useCookies = useCookies;
var _react = require("react");
var _hooksServerContext = require("./hooks-server-context");
var _staticGenerationAsyncStorage = require("./static-generation-async-storage");
function useStaticGenerationBailout(reason) {
    const staticGenerationStore = _staticGenerationAsyncStorage.staticGenerationAsyncStorage && 'getStore' in _staticGenerationAsyncStorage.staticGenerationAsyncStorage ? _staticGenerationAsyncStorage.staticGenerationAsyncStorage == null ? void 0 : _staticGenerationAsyncStorage.staticGenerationAsyncStorage.getStore() : _staticGenerationAsyncStorage.staticGenerationAsyncStorage;
    if (staticGenerationStore == null ? void 0 : staticGenerationStore.isStaticGeneration) {
        // TODO: honor the dynamic: 'force-static'
        if (staticGenerationStore) {
            staticGenerationStore.revalidate = 0;
        }
        throw new _hooksServerContext.DynamicServerError(reason);
    }
}
function useHeaders() {
    useStaticGenerationBailout('useHeaders');
    return (0, _react).useContext(_hooksServerContext.HeadersContext);
}
function usePreviewData() {
    useStaticGenerationBailout('usePreviewData');
    return (0, _react).useContext(_hooksServerContext.PreviewDataContext);
}
function useCookies() {
    useStaticGenerationBailout('useCookies');
    return (0, _react).useContext(_hooksServerContext.CookiesContext);
}

if ((typeof exports.default === 'function' || (typeof exports.default === 'object' && exports.default !== null)) && typeof exports.default.__esModule === 'undefined') {
  Object.defineProperty(exports.default, '__esModule', { value: true });
  Object.assign(exports.default, exports);
  module.exports = exports.default;
}

//# sourceMappingURL=hooks-server.js.map