"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.redirect = redirect;
exports.REDIRECT_ERROR_CODE = void 0;
var _interop_require_wildcard = require("@swc/helpers/lib/_interop_require_wildcard.js").default;
var _react = _interop_require_wildcard(require("react"));
var _appRouterContext = require("../../shared/lib/app-router-context");
var _infinitePromise = require("./infinite-promise");
const REDIRECT_ERROR_CODE = 'NEXT_REDIRECT';
exports.REDIRECT_ERROR_CODE = REDIRECT_ERROR_CODE;
function redirect(url) {
    if (process.browser) {
        const router = (0, _react).experimental_use(_appRouterContext.AppRouterContext);
        setTimeout(()=>{
            // @ts-ignore startTransition exists
            _react.default.startTransition(()=>{
                router.replace(url, {});
            });
        });
        // setTimeout is used to start a new transition during render, this is an intentional hack around React.
        (0, _react).experimental_use((0, _infinitePromise).createInfinitePromise());
    }
    // eslint-disable-next-line no-throw-literal
    throw {
        url,
        code: REDIRECT_ERROR_CODE
    };
}

if ((typeof exports.default === 'function' || (typeof exports.default === 'object' && exports.default !== null)) && typeof exports.default.__esModule === 'undefined') {
  Object.defineProperty(exports.default, '__esModule', { value: true });
  Object.assign(exports.default, exports);
  module.exports = exports.default;
}

//# sourceMappingURL=redirect.js.map